#!/bin/sh

set -e


NGINX_FILE="/etc/nginx/sites-enabled/oggui.conf"
UNIT_FILE="/etc/systemd/system/oggui.service"


case "$1" in
    remove)
        echo "El paquete se está desinstalando..."
        # Aquí puedes hacer limpieza de archivos o servicios
        if [ -L "$NGINX_FILE" ]; then
            rm -f "$NGINX_FILE"
            systemctl restart nginx
        fi
        if [ -L "$UNIT_FILE" ]; then
            rm -f  "$UNIT_FILE"
            systemctl daemon-reload
        fi
        ;;
    purge)
        echo "Eliminando configuración residual..."
        ;;

    upgrade)
        echo "Actualizando paquete..."
        ;;
esac

exit 0
